0
$\begingroup$

Rosanswers logo

Error content:

$ catkin_make
The program 'catkin_make' is currently not installed. You can install it by typing:
sudo apt install catkin

$ sudo apt install catkin
[sudo] password for developer: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 catkin : Depends: python-catkin-pkg but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

I uninstalled and reinstalled ROS, but I get the same error.

The same problem occurred in the following three environments.

  1. Ubuntu 16.04 installed on desktop PC
  2. Ubuntu 16.04 installed on a laptop PC
  3. Ubuntu 16.04 installed on Windows 10 VMware

Any advice would be much appreciated.


Edit: Below is the installation guide.

http://wiki.ros.org/kinetic/Installation/Ubuntu

It will be an already installed message.

However, catkin_make will not be installed.

$ catkin_make
The program 'catkin_make' is currently not installed. You can install it by typing:
sudo apt install catkin

$ sudo apt install ros-kinetic-catkin
[sudo] password for developer: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
ros-kinetic-catkin is already the newest version (0.7.14-0xenial-20180809-132632-0800).
0 upgraded, 0 newly installed, 0 to remove and 69 not upgraded.

$ sudo apt-get install ros-kinetic-desktop-full
Reading package lists... Done
Building dependency tree       
Reading state information... Done
ros-kinetic-desktop-full is already the newest version (1.3.2-0xenial-20190320-232543-0800).
0 upgraded, 0 newly installed, 0 to remove and 69 not upgraded.

Originally posted by hiroshi_i_nakamura on ROS Answers with karma: 16 on 2019-05-06

Post score: 0


Original comments

Comment by gvdhoorn on 2019-05-06:\

$ sudo apt install catkin

Ubuntu is suggesting that because of the existence of upstream packages.

If you just want to install the "regular ROS packages", you'll want to install ros-kinetic-catkin, not catkin.

Can you tell us which installation guide / tutorial you've followed?

Comment by gvdhoorn on 2019-05-09:\

$ catkin_make
The program 'catkin_make' is currently not installed. You can install it by typing:
sudo apt install catkin

just making sure: did you do a source /opt/ros/kinetic/setup.bash before trying to run catkin_make?

That is needed as by default catkin_make will not be on the PATH.

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

Thank you for your help. When run after source /opt/ros/kinetic/setup.bash, catkin_make worked correctly.


Originally posted by hiroshi_i_nakamura with karma: 16 on 2019-05-09

This answer was ACCEPTED on the original site

Post score: 0

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.